{ config, lib, ... }:
let
  sddm = config.maid.sddm;
in
{
  options.maid.sddm = {
    enable = lib.mkEnableOption "sddm";
  };

  config.services.displayManager.sddm = lib.mkIf sddm.enable {
    enable = true;
    enableHidpi = true;
    wayland = {
      enable = true;
    };
  };
}
