{ config, lib, ... }:
let
  firefox = config.maid.firefox;
in
{
  options.maid.firefox = {
    enable = lib.mkEnableOption "firefox";
  };

  config.programs.firefox = lib.mkIf firefox.enable {
    enable = true;
  };
}
