{ inputs, config, lib, ... }:
let
  hm = config.maid.hm;
  masters = config.maid.masters;
in
{
  options.maid.hm = {
    enable = lib.mkEnableOption "home-manager";
  };

  config.home-manager = lib.mkIf hm.enable {
    useGlobalPkgs = true;
    useUserPackages = true;

    extraSpecialArgs = { inherit inputs; };
    users.nero = lib.mkIf masters.nero.enable (import ./nero);
  };
}
